<template>
  <TabletMockup
    class="gradient-mockup-tablet laptop"
    :croppedContent="croppedContent"
  >
    <template #gradient>
      <div class="mockup-tablet__gradient-wrapper">
        <span class="mockup-tablet__gradient--large"></span>
        <span class="mockup-tablet__gradient--small"></span>
        <span class="mockup-tablet__gradient--small"></span>
      </div>
    </template>
    <template #content>
      <slot name="content" />
    </template>
  </TabletMockup>
</template>

<script>
import TabletMockup from '@/components/shared/TabletMockup'
export default {
  name: 'TabletMockupWithGradient',
  components: {
    TabletMockup
  },
  props: {
    croppedContent: {
      type: Boolean,
      default: false
    }
  }
}
</script>
